\relative c'' {   
  %   \set Staff.instrumentName = \markup { "ABlfl" }
    \set Staff.midiInstrument = #"fl"  
    \set Timing.beamExceptions = #'()
      \overrideTimeSignatureSettings
     #'(4 . 4)  % timeSignatureFraction
     #'(1 . 4)  % baseMomentFraction
     #'(1 1 1 1 )    % beatStructure
     #'()       % beamExceptions
%       \overrideTimeSignatureSettings
%       #'(3 . 4)  % timeSignatureFraction
%       #'(1 . 8)  % baseMomentFraction
%       #'(6 )    % beatStructure
%       #'()       % beamExceptions

    \set Timing.baseMoment = #(ly:make-moment 1/8)
    \set Timing.beatStructure = #'(6)
     
     
  \time 4/4
    \set Staff.timeSignatureFraction = 12/8
  \key f \major   
  \compressFullBarRests
    \scaleDurations 2/3 {
      \repeat volta 2 {
        R1.*4
        f8 a f c a c f a f c a c |
        g' b g e c e a c a f d f |
        b d b e, c e a c a d, b d |
        g b g c, g b a4. r |
        f'8 a f c a c f4. r |
        f8 a f c a c f a f c a c |
        e g e c g c d f d h g h  |
        c4. a'~ a g~ |
        g f~ f e~ |
        e d~ d c8 d e |
        f g a g a f e c e c' g c |
        g e g e c f e4. r |
      }
      \repeat volta 2 {
        c4. r c8 g c h g h |
        c4. r d8 a d cis a cis |
        f4. f e e |
        d d g f4 e8 |
        d8 c b a4 a'8 f4. r |
        h8 e, h' h e, h' e,4. r |
        a8 d, a' a d, a' g4. r |
        g8 c, g' g c, g' f a f d f d |
        b d b g b g a' c a f a f |
        g b g e g e c4. r |
        f,8 b d f, b d g,4. r |
        r a' ~ a g~  |
        g f4 e8 d4 c8 b4 a8  |
        g4. c'8 e, c' c d, c' b d, b' |
        b c, b' a g f b, c a g a b |
        a a' f c f c a c' a f a f |
        c f c a b g a4. r |
        
      }
    }
}